{{!
    This file is part of Moodle - http://moodle.org/

    Moodle is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    Moodle is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Moodle.  If not, see <http://www.gnu.org/licenses/>.
}}

<div class="modal-body">
    <div class="container-fluid">
        <div class="row changes-summary">
            <div class="title col-12 m-y-1">Rôle(s) : {{#result.roles}} {{rolename}}, {{/result.roles}}</div>
            <div class="content col-12">
                <div class="change-requests">{{#str}} changerequestsrecap, centraladminconf_role, { "recap_capa" : "{{result.capabilities_sum}}", "recap_instances" : "{{result.instances_sum}}" } {{/str}}</div>
                {{#result.conflicts_sum}}
                    <div class="conflicts">{{#str}} conflictsrecap, centraladminconf_role, {{result.conflicts_sum}} {{/str}}</div>
                {{/result.conflicts_sum}}
            </div>
        </div>

        <div class="row buttons justify-content-center">
            <button type="button" class="btn btn-secondary col-auto m-1" data-dismiss="modal">{{#str}}cancel{{/str}}</button>
            <button type="button" id="manage-role-confirm" class="btn btn-primary col-auto m-1">{{#str}}save{{/str}}</button>
        </div>

        <div class="row mt-2">
            <nav class="nav nav-tabs col-12">
                {{#result.roles}}
                    <a class="nav-item nav-link {{#isactive}}active{{/isactive}}" href="#p_{{roleshortname}}" data-toggle="tab">{{rolename}}</a>
                {{/result.roles}}
            </nav>
        </div>

        <div class="row tab-content">
            {{#result.roles}}
                <div class="tab-pane col-12 {{#isactive}}active{{/isactive}}" id="p_{{roleshortname}}">
                    {{#conflicts}}
                        <div class="conflicts mt-3">
                            <h6 class="title col-12 pt-3">Conflits</h6>
                            <div class="instances">
                                {{#instances}}
                                    <div class="instance col-12">
                                        <h6 class="instance-name">{{clean_instance_name}}</h6>
                                        <ul class="col-12">
                                            {{#capabilities}}
                                                <li class="capability">{{capabilityfortemplate}}</li>
                                            {{/capabilities}}
                                        </ul>
                                    </div>
                                {{/instances}}
                            </div>
                        </div>
                    {{/conflicts}}
                    {{#changerequests}}
                        <div class="change-requests mt-3">
                            <h6 class="title col-12 pt-3">Modification demandées</h6>
                            <div class="instances">
                                {{#instances}}
                                    <div class="instance col-12">
                                        <h6 class="instance-name">{{clean_instance_name}}</h6>
                                        <ul class="col-12">
                                            {{#capabilities}}
                                                <li class="capability">{{capabilityfortemplate}}</li>
                                            {{/capabilities}}
                                        </ul>
                                    </div>
                                {{/instances}}
                            </div>
                        </div>
                    {{/changerequests}}
                </div>
            {{/result.roles}}
        </div>
    </div>
</div>